Installer hubiC à partir d’un paquet .deb

Comme hubiC est encore en beta et que les petits gars de chez OVH ne fournissent pas de paquet pour installer automatiquement leur logiciel rapidement en quelques cliques, j’ai décidé de le faire moi même.

Vous trouverez donc sur cette page un .deb pour chaque nouvelle releases. Toutefois comme c’est la première fois que je génère des paquets .deb, je me perfectionne au file des releases pour essayer d’atteindre la qualité d’un paquet officiel. Vos commentaires sont donc les bienvenues !

Télécharger le paquet .deb hubiC 0.4.8

Voici les paquets que vous pouvez télécharger pour installer hubiC sur votre machine Ubuntu. Prenez note que j’ai retiré l’outil permettant les mises à jours automatique dans la mesure ou les paquets ont déjà un système de mise à jour automatique.

Après l’avoir téléchargé, ouvrez le paquet avec la Logithèque pour l’installer facilement.

Une fois installé, vous pouvez démarrer le paquet en tapant dans un terminal la commande hubic-browser ou en cliquant sur l’icône. Vous aurez un icône hubic-browser qui apparaîtra dans l’onglet « Internet » si vous utilisez Gnome-fallback.

Comment être prévenu des nouvelles versions ?

Lorsqu’une nouvelle version de hubiC sort, je suis prévenu par mail et génère la nouvelle version assez vite. Passez donc sur cette page régulièrement ou ajoutez moi sur tweeter pour être alerté lorsque le paquet est disponible !

Problème lors de l’installation du paquet

Durant l’installation à partir de la Logithèque Ubuntu, il peut arriver (suivant la version d’aptdaemon) que vous ne puissiez pas installer le paquet ci-dessus. Une fenêtre s’ouvrir alors avec l’erreur ci-dessous.

Je n’ai pas réussi à comprendre d’où venait le problème mais il semble que ce soit un bug de aptdaemon et non du paquet en lui même. Pour preuve, nous allons installer en ligne de commande hubic.deb grâce à dpkg sans soucis grâce à la ligne ci-dessous :

sudo dpkg -i hubic-browser-amd64-0.3.11.deb

Et voilà, le tour est joué !

Désinstaller le paquet

Pour désinstaller le paquet, il faut ouvrir le terminal et faire le classique :

sudo apt-get remove hubic-browser

En espérant que cela puisse vous aider et faites moi savoir si il manque des choses dans ce paquet que je puisse les ajouter.

Laisser un commentaire

22 Commentaires.

  1. Bonjour,

    Ce billet commence à dater et depuis le temps, OVH à changé l’infrastructure et donc ce logiciel ne fonctionne plus…

    Il faut passer par l’interface web si vous voulez l’utiliser toujours sous linux…

    Bon courage à vous ;)

  2. Bonjour.

    Merci beaucoup pour votre solution ! Malheureusement je rencontre un petit soucis lorsque j’entre mon compte et mon mot de passe : Error downloading https://ws.ovh.com/hubic/r4/ws.dispatcher/getHubics – server replied: Not Found

    Auriez-vous une idée de la raison ?

    Cordialement

  3. bonjour le logiciel hubic s’est bien installé mais erreur « Opération socket expirée »
    je suis sur xbuntu 12.04 avec xfxe4
    a bientot

  4. Bon, vous pouvez laisser tomber, j’ai résolu le problème autrement.
    Slt

  5. Bonsoir,
    l’installation de la version 0.4.8 s’est faite impeccablement mais au lancement du browser : « opération socket expirée ».
    Je suis sous Kubuntu 13.04
    Y a-t-il une solution simple ?
    Merci.
    Bien cordialement

  6. Merci je viens d’installer la version 0.4.8
    ca marche nickel

  7. La version 0.4.8 fonctionne correctement pour info j’ai mis le lien du site sur d’autre site internet et forum qui parle à ce sujet je vous remercie du travail accomplie comme quoi il y a toujours mieux que soit et ont en apprend tout les jours encore merci et bonne continuation

  8. merci bcp pour le travail réalisé, bien sûr je suis les mises à jour ..

    Continuez comme ça !!!

  9. Hi,

    installation de la version hubic browser 4.4.7 réussie !
    tout fonctionne.
    Je vous suis maintenant sur tweeter.

    Merci :)

  10. Hi
    install de la version 0.4.7 amd64 sans soucis !
    Merci ;)

  11. merci, installation par paquet deb fonctionnel et efficace!
    Bravo et continue comme ca!

  12. Bonsoir je viens de trouver la solution ici : http://mandriva.598463.n5.nabble.com/debutant-Librairies-QT-td5708791.html
    Il suffit d’éditer le fichier /usr/bin/hubic-browser
    et de remplacer la ligne :
    LD_LIBRARY_PATH=$dirname/.lib
    par
    LD_LIBRARY_PATH=$dirname/.lib64

    simple et efficasse

  13. Bonjour,

    J’ai bien peur que l’erreur viennent d’un conflit entre les versions de Qt installée sur ta machine… Il semble que le bug soit connu chez OVH et voila une solution temporaire en attendant un fix : http://blog.hubic.me/2012/09/13/hubic-browser-release-0-4-0/#comment-1828

    Pour le paquet .deb, je ne fais que prendre les archives tar.gz disponible sur le site puis j’exécute un petit script qui décompresse, met les fichiers dans les bons dossiers puis crée le .deb. Je ne touche donc pas au programme en lui même.

    Si ce script intéresse des gens faites le savoir et je créerais un dépôt sur Github à l’occasion…

    Bonne journée à vous !

  14. Bonsoir
    Je viens de tester ta derniére version et impossible de la lancer.
    J’ai systèmatiquement l’erreur suivante :
    « Cannot mix incompatible Qt library (?vion de Qt ersion 0×40801) with this library (version 0×40802)
    Aborted (core dumped) »
    Une idée pour lui faire accepter cette vers

  15. bonsoir,

    je tenez à vous remercier.
    je rageais de n’avoir pas de solution facile à mettre en œuvre pour avoir un accès hubbic sur mon Kubuntu 12.04.

    Votre travail m’a permis d’y remedier.
    Encore merci.

  16. Bonsoir,

    Je vais voir ça et re-compiler rapidement les deux paquets .deb pour ne plus avoir ce soucis.

    Merci pour l’information :)

    Édition : Je viens de mettre le .deb avec le .desktop sans le fameux « s ».

  17. Bonjour,

    j,ai retiré un « s » qui semblait bloquant dans le fichier /usr/share/applications/hubiC-browser.desktop :

    - Type=Application (sans le « s » à la fin qui invalidait le fonctionnement de ce lanceur).

    Bien cordialement

  18. Super,

    c’est tout de même nettement plus simple de mettre à jour un paquet .deb que de devoir tout réinstaller à partir des archives d’OVH.

    encore merci pour ces paquets et pour votre réactivité lors des publications des nouvelles versions.

    Bien cordialement

  19. Merci, ça marche très bien avec la commande
    sudo dpkg -i hubic-browser-i386-0.3.11.deb

    kool

  20. Bonjour,
    Il semblerait que ce soit un problème d’encodage… Pourtant, je n’ai pas eu de soucis avec les VM qui me permettent de tester les paquets… Je vais essayer de régler ce problème au plus vite.
    Merci pour le retour et à Bientôt.

    Édition 16/07/2012 : Je viens de modifier l’article pour expliquer comment installer différemment le paquet. Le temps que le bug d’aptdameon soit corrigé dans une prochaine mise à jour car suivant les versions ça marche ou non…

  21. Merci pour ce travail mais j’ai erreur lors de l’instal.
    et encore merci pour tout votre boulot

    Traceback (most recent call last):
    File « /usr/lib/python2.7/dist-packages/aptdaemon/worker.py », line 1041, in _simulate
    trans.unauthenticated = self.__simulate(trans)
    File « /usr/lib/python2.7/dist-packages/aptdaemon/worker.py », line 1098, in __simulate
    deb = self.install_file(trans, simulate=True, **trans.kwargs)
    File « /usr/lib/python2.7/dist-packages/aptdaemon/worker.py », line 591, in install_file
    deb = self._check_deb_file(path, force, trans.uid)
    File « /usr/lib/python2.7/dist-packages/aptdaemon/worker.py », line 1227, in _check_deb_file
    « \n%s » % (path, stdout))
    UnicodeDecodeError: ‘ascii’ codec can’t decode byte 0xc3 in position 38: ordinal not in range(128)

  22. Simplement bravo et merci pour hubic en .deb.

    Cordialement

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *


5 − deux =


Vous pouvez utiliser ces balises et attributs HTML : <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Administrateur Apache2 Backup Bitcoin Blender boot C/C++ cgminer Drivers Firefox Flash FTP GNOME Google Hardware hubiC IDE Java Jeux Vidéo Kinect Linux Minecraft MinGW Moteur de Recherche MySQL OpenGL OpenSource OS X PHP Qt Référencement SDK SEO SQLite3 SSH Teamspeak Terminal Ubuntu Unity USB VirtualBox Visual studio Windows Wordpress Youtube